using System;
class Program
    {
            static void Main()
            {
                string[] input = Console.ReadLine().Split(' ');
                int N = int.Parse(input[0]);
                int L = int.Parse(input[1]);
                int cant = -1;
                string[] gmite = Console.ReadLine().Split(' ');
                for (int i = 0; i < N; i++)
                {
                    int S = int.Parse(gmite[i]);
                    if (L >= S)
                    {
                        cant = i + 1;
                        break;
                    }
                }
                Console.WriteLine(cant);
                Console.ReadKey();
            }
    }